diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-transmit-mask-test.cc	2025-03-09 16:55:49.815372700 -0700
@@ -22,10 +22,10 @@
 NS_LOG_COMPONENT_DEFINE("WifiTransmitMaskTest");
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test checks if Wifi spectrum values for OFDM are generated properly.
+ * @brief Test checks if Wifi spectrum values for OFDM are generated properly.
  * Different test cases are configured by defining different standards and bandwidth.
  */
 class WifiOfdmMaskSlopesTestCase : public TestCase
@@ -44,16 +44,16 @@
     /**
      * Constructor
      *
-     * \param name test reference name
-     * \param standard selected standard
-     * \param band selected PHY band
-     * \param channelWidth total channel width
-     * \param centerFrequencies the center frequency per contiguous segment
-     * \param maskRefs vector of expected power values and corresponding indexes of generated PSD
+     * @param name test reference name
+     * @param standard selected standard
+     * @param band selected PHY band
+     * @param channelWidth total channel width
+     * @param centerFrequencies the center frequency per contiguous segment
+     * @param maskRefs vector of expected power values and corresponding indexes of generated PSD
      *                     (only start and stop indexes/values given)
-     * \param tolerance tolerance
-     * \param precision precision (in decimals)
-     * \param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
+     * @param tolerance tolerance
+     * @param precision precision (in decimals)
+     * @param puncturedSubchannels bitmap indicating whether a 20 MHz subchannel is punctured or not
      * (only for 802.11ax and later)
      */
     WifiOfdmMaskSlopesTestCase(const std::string& name,
@@ -75,10 +75,10 @@
      * Interpolate PSD values for indexes between provided start and stop and append to provided
      * vector.
      *
-     * \param vect vector of sub-band index and relative power value pairs to which interpolated
+     * @param vect vector of sub-band index and relative power value pairs to which interpolated
      values should be appended
-     * \param start pair of sub-band index and relative power value for interval start
-     * \param stop pair of sub-band index and relative power value for interval stop
+     * @param start pair of sub-band index and relative power value for interval start
+     * @param stop pair of sub-band index and relative power value for interval stop
     */
     void InterpolateAndAppendValues(IndexPowerVect& vect,
                                     IndexPowerPair start,
@@ -129,18 +129,18 @@
     NS_ASSERT(!m_centerFreqs.empty());
     NS_ASSERT(m_expectedPsd.size() % 2 == 0); // start/stop pairs expected
 
-    dBr_u outerBandMaximumRejection = 0.0;
+    dBr_u outerBandMaximumRejection{0.0};
     switch (m_band)
     {
     default:
     case WIFI_PHY_BAND_5GHZ:
-        outerBandMaximumRejection = -40;
+        outerBandMaximumRejection = dBr_u{-40};
         break;
     case WIFI_PHY_BAND_2_4GHZ:
-        outerBandMaximumRejection = (m_standard >= WIFI_STANDARD_80211n) ? -45 : -40;
+        outerBandMaximumRejection = (m_standard >= WIFI_STANDARD_80211n) ? dBr_u{-45} : dBr_u{-40};
         break;
     case WIFI_PHY_BAND_6GHZ:
-        outerBandMaximumRejection = -40;
+        outerBandMaximumRejection = dBr_u{-40};
         break;
     }
 
@@ -149,81 +149,81 @@
     {
     case WIFI_STANDARD_80211p:
         NS_ASSERT(m_band == WIFI_PHY_BAND_5GHZ);
-        NS_ASSERT((m_channelWidth == 5) || (m_channelWidth == 10));
+        NS_ASSERT((m_channelWidth == MHz_u{5}) || (m_channelWidth == MHz_u{10}));
         m_actualSpectrum =
             WifiSpectrumValueHelper::CreateOfdmTxPowerSpectralDensity(m_centerFreqs.front(),
                                                                       m_channelWidth,
                                                                       refTxPower,
                                                                       m_channelWidth,
-                                                                      -20.0,
-                                                                      -28.0,
+                                                                      dBr_u{-20.0},
+                                                                      dBr_u{-28.0},
                                                                       outerBandMaximumRejection);
         break;
 
     case WIFI_STANDARD_80211g:
         NS_ASSERT(m_band == WIFI_PHY_BAND_2_4GHZ);
-        NS_ASSERT(m_channelWidth == 20);
+        NS_ASSERT(m_channelWidth == MHz_u{20});
         m_actualSpectrum =
             WifiSpectrumValueHelper::CreateOfdmTxPowerSpectralDensity(m_centerFreqs.front(),
                                                                       m_channelWidth,
                                                                       refTxPower,
                                                                       m_channelWidth,
-                                                                      -20.0,
-                                                                      -28.0,
+                                                                      dBr_u{-20.0},
+                                                                      dBr_u{-28.0},
                                                                       outerBandMaximumRejection);
         break;
 
     case WIFI_STANDARD_80211a:
         NS_ASSERT(m_band == WIFI_PHY_BAND_5GHZ);
-        NS_ASSERT(m_channelWidth == 20);
+        NS_ASSERT(m_channelWidth == MHz_u{20});
         m_actualSpectrum =
             WifiSpectrumValueHelper::CreateOfdmTxPowerSpectralDensity(m_centerFreqs.front(),
                                                                       m_channelWidth,
                                                                       refTxPower,
                                                                       m_channelWidth,
-                                                                      -20.0,
-                                                                      -28.0,
+                                                                      dBr_u{-20.0},
+                                                                      dBr_u{-28.0},
                                                                       outerBandMaximumRejection);
         break;
 
     case WIFI_STANDARD_80211n:
-        NS_ASSERT(m_channelWidth == 20 || m_channelWidth == 40);
+        NS_ASSERT(m_channelWidth == MHz_u{20} || m_channelWidth == MHz_u{40});
         m_actualSpectrum =
             WifiSpectrumValueHelper::CreateHtOfdmTxPowerSpectralDensity(m_centerFreqs,
                                                                         m_channelWidth,
                                                                         refTxPower,
                                                                         m_channelWidth,
-                                                                        -20.0,
-                                                                        -28.0,
+                                                                        dBr_u{-20.0},
+                                                                        dBr_u{-28.0},
                                                                         outerBandMaximumRejection);
         break;
 
     case WIFI_STANDARD_80211ac:
         NS_ASSERT(m_band == WIFI_PHY_BAND_5GHZ);
-        NS_ASSERT(m_channelWidth == 20 || m_channelWidth == 40 || m_channelWidth == 80 ||
-                  m_channelWidth == 160);
+        NS_ASSERT(m_channelWidth == MHz_u{20} || m_channelWidth == MHz_u{40} ||
+                  m_channelWidth == MHz_u{80} || m_channelWidth == MHz_u{160});
         m_actualSpectrum =
             WifiSpectrumValueHelper::CreateHtOfdmTxPowerSpectralDensity(m_centerFreqs,
                                                                         m_channelWidth,
                                                                         refTxPower,
                                                                         m_channelWidth,
-                                                                        -20.0,
-                                                                        -28.0,
+                                                                        dBr_u{-20.0},
+                                                                        dBr_u{-28.0},
                                                                         outerBandMaximumRejection);
         break;
 
     case WIFI_STANDARD_80211ax:
         NS_ASSERT((m_band != WIFI_PHY_BAND_2_4GHZ) ||
-                  (m_channelWidth < 80)); // not enough space in 2.4 GHz bands
-        NS_ASSERT(m_channelWidth == 20 || m_channelWidth == 40 || m_channelWidth == 80 ||
-                  m_channelWidth == 160);
+                  (m_channelWidth < MHz_u{80})); // not enough space in 2.4 GHz bands
+        NS_ASSERT(m_channelWidth == MHz_u{20} || m_channelWidth == MHz_u{40} ||
+                  m_channelWidth == MHz_u{80} || m_channelWidth == MHz_u{160});
         m_actualSpectrum =
             WifiSpectrumValueHelper::CreateHeOfdmTxPowerSpectralDensity(m_centerFreqs,
                                                                         m_channelWidth,
                                                                         refTxPower,
                                                                         m_channelWidth,
-                                                                        -20.0,
-                                                                        -28.0,
+                                                                        dBr_u{-20.0},
+                                                                        dBr_u{-28.0},
                                                                         outerBandMaximumRejection,
                                                                         m_puncturedSubchannels);
         break;
@@ -258,12 +258,13 @@
         return;
     }
 
-    double slope = (stop.second - start.second) / (stop.first - start.first);
+    const auto slope = (stop.second - start.second) / (stop.first - start.first);
     for (uint32_t i = start.first; i <= stop.first; i++)
     {
-        double val = start.second + slope * (i - start.first);
-        double multiplier = std::round(std::pow(10.0, static_cast<double>(m_precision)));
-        val = std::floor(val * multiplier + 0.5) / multiplier;
+        const auto delta{i - start.first};
+        dB_u val{start.second + slope * delta};
+        const auto multiplier = std::round(std::pow(10.0, static_cast<double>(m_precision)));
+        val = dB_u{std::floor(val * multiplier + 0.5) / multiplier};
         vect.emplace_back(i, val);
         NS_LOG_LOGIC("Append (" << i << ", " << val << ")");
     }
@@ -276,19 +277,19 @@
 WifiOfdmMaskSlopesTestCase::DoRun()
 {
     NS_LOG_FUNCTION(this);
-    dBr_u currentPower = 0.0; // have to work in dBr so as to compare with expected slopes
-    Watt_u maxPower = (*m_actualSpectrum)[0];
+    dBr_u currentPower{0.0}; // have to work in dBr so as to compare with expected slopes
+    Watt_u maxPower{(*m_actualSpectrum)[0]};
     for (auto&& vit = m_actualSpectrum->ConstValuesBegin();
          vit != m_actualSpectrum->ConstValuesEnd();
          ++vit)
     {
-        maxPower = std::max(maxPower, *vit);
+        maxPower = std::max(maxPower, Watt_u{*vit});
     }
 
     NS_LOG_INFO("Compare expected PSD");
     for (const auto& [subcarrier, expectedValue] : m_expectedPsd)
     {
-        currentPower = 10.0 * std::log10((*m_actualSpectrum)[subcarrier] / maxPower);
+        currentPower = dBr_u{10.0 * std::log10((*m_actualSpectrum)[subcarrier] / maxPower)};
         NS_LOG_LOGIC("For " << subcarrier << ", expected: " << expectedValue
                             << " vs obtained: " << currentPower);
         NS_TEST_EXPECT_MSG_EQ_TOL(currentPower,
@@ -299,10 +300,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief Test suite for checking the consistency of different OFDM-based transmit masks.
+ * @brief Test suite for checking the consistency of different OFDM-based transmit masks.
  */
 class WifiTransmitMaskTestSuite : public TestSuite
 {
@@ -322,36 +323,36 @@
     NS_LOG_INFO("Creating WifiTransmitMaskTestSuite");
 
     WifiOfdmMaskSlopesTestCase::IndexPowerVect maskSlopes;
-    dB_u tol = 10e-2;
+    dB_u tol{10e-2};
     double prec = 10; // in decimals
 
     // ============================================================================================
     // 11p 5MHz
     NS_LOG_FUNCTION("Check slopes for 11p 5MHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(31, -28.375),  // Outer band left (stop)
-        std::make_pair(32, -28.000),  // Middle band left (start)
-        std::make_pair(60, -20.276),  // Middle band left (stop)
-        std::make_pair(61, -20.0),    // Flat junction band left (start)
-        std::make_pair(63, -20.0),    // Flat junction band left (stop)
-        std::make_pair(64, -20.0),    // Inner band left (start)
-        std::make_pair(69, -3.333),   // Inner band left (stop)
-        std::make_pair(123, -3.333),  // Inner band right (start)
-        std::make_pair(128, -20.0),   // Inner band right (stop)
-        std::make_pair(129, -20.0),   // Flat junction band right (start)
-        std::make_pair(131, -20.0),   // Flat junction band right (stop)
-        std::make_pair(132, -20.276), // Middle band right (start)
-        std::make_pair(160, -28.000), // Middle band right (stop)
-        std::make_pair(161, -28.375), // Outer band right (start)
-        std::make_pair(192, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(31, dBr_u{-28.375}),  // Outer band left (stop)
+        std::make_pair(32, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(60, dBr_u{-20.276}),  // Middle band left (stop)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(63, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(64, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(69, dBr_u{-3.333}),   // Inner band left (stop)
+        std::make_pair(123, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(128, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(129, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(132, dBr_u{-20.276}), // Middle band right (start)
+        std::make_pair(160, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(161, dBr_u{-28.375}), // Outer band right (start)
+        std::make_pair(192, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11p 5MHz",
                                                WIFI_STANDARD_80211p,
                                                WIFI_PHY_BAND_5GHZ,
-                                               5,
-                                               {5860},
+                                               MHz_u{5},
+                                               {MHz_u{5860}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -361,29 +362,29 @@
     // 11p 10MHz
     NS_LOG_FUNCTION("Check slopes for 11p 10MHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(31, -28.375),  // Outer band left (stop)
-        std::make_pair(32, -28.000),  // Middle band left (start)
-        std::make_pair(60, -20.276),  // Middle band left (stop)
-        std::make_pair(61, -20.0),    // Flat junction band left (start)
-        std::make_pair(63, -20.0),    // Flat junction band left (stop)
-        std::make_pair(64, -20.0),    // Inner band left (start)
-        std::make_pair(69, -3.333),   // Inner band left (stop)
-        std::make_pair(123, -3.333),  // Inner band right (start)
-        std::make_pair(128, -20.0),   // Inner band right (stop)
-        std::make_pair(129, -20.0),   // Flat junction band right (start)
-        std::make_pair(131, -20.0),   // Flat junction band right (stop)
-        std::make_pair(132, -20.276), // Middle band right (start)
-        std::make_pair(160, -28.000), // Middle band right (stop)
-        std::make_pair(161, -28.375), // Outer band right (start)
-        std::make_pair(192, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(31, dBr_u{-28.375}),  // Outer band left (stop)
+        std::make_pair(32, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(60, dBr_u{-20.276}),  // Middle band left (stop)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(63, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(64, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(69, dBr_u{-3.333}),   // Inner band left (stop)
+        std::make_pair(123, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(128, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(129, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(132, dBr_u{-20.276}), // Middle band right (start)
+        std::make_pair(160, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(161, dBr_u{-28.375}), // Outer band right (start)
+        std::make_pair(192, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11p 10MHz",
                                                WIFI_STANDARD_80211p,
                                                WIFI_PHY_BAND_5GHZ,
-                                               10,
-                                               {5860},
+                                               MHz_u{10},
+                                               {MHz_u{5860}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -393,29 +394,29 @@
     // 11a
     NS_LOG_FUNCTION("Check slopes for 11a");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(31, -28.375),  // Outer band left (stop)
-        std::make_pair(32, -28.000),  // Middle band left (start)
-        std::make_pair(60, -20.276),  // Middle band left (stop)
-        std::make_pair(61, -20.0),    // Flat junction band left (start)
-        std::make_pair(63, -20.0),    // Flat junction band left (stop)
-        std::make_pair(64, -20.0),    // Inner band left (start)
-        std::make_pair(69, -3.333),   // Inner band left (stop)
-        std::make_pair(123, -3.333),  // Inner band right (start)
-        std::make_pair(128, -20.0),   // Inner band right (stop)
-        std::make_pair(129, -20.0),   // Flat junction band right (start)
-        std::make_pair(131, -20.0),   // Flat junction band right (stop)
-        std::make_pair(132, -20.276), // Middle band right (start)
-        std::make_pair(160, -28.000), // Middle band right (stop)
-        std::make_pair(161, -28.375), // Outer band right (start)
-        std::make_pair(192, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(31, dBr_u{-28.375}),  // Outer band left (stop)
+        std::make_pair(32, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(60, dBr_u{-20.276}),  // Middle band left (stop)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(63, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(64, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(69, dBr_u{-3.333}),   // Inner band left (stop)
+        std::make_pair(123, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(128, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(129, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(132, dBr_u{-20.276}), // Middle band right (start)
+        std::make_pair(160, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(161, dBr_u{-28.375}), // Outer band right (start)
+        std::make_pair(192, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11a",
                                                WIFI_STANDARD_80211a,
                                                WIFI_PHY_BAND_5GHZ,
-                                               20,
-                                               {5180},
+                                               MHz_u{20},
+                                               {MHz_u{5180}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -428,8 +429,8 @@
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11g",
                                                WIFI_STANDARD_80211g,
                                                WIFI_PHY_BAND_2_4GHZ,
-                                               20,
-                                               {2412},
+                                               MHz_u{20},
+                                               {MHz_u{2412}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -439,29 +440,29 @@
     // 11n 20MHz @ 2.4GHz
     NS_LOG_FUNCTION("Check slopes for 11n 20MHz @ 2.4GHz");
     maskSlopes = {
-        std::make_pair(0, -45.000),   // Outer band left (start)
-        std::make_pair(31, -28.531),  // Outer band left (stop)
-        std::make_pair(32, -28.000),  // Middle band left (start)
-        std::make_pair(60, -20.276),  // Middle band left (stop)
-        std::make_pair(61, -20.0),    // Flat junction band left (start)
-        std::make_pair(61, -20.0),    // Flat junction band left (stop)
-        std::make_pair(62, -20.0),    // Inner band left (start)
-        std::make_pair(67, -3.333),   // Inner band left (stop)
-        std::make_pair(125, -3.333),  // Inner band right (start)
-        std::make_pair(130, -20.0),   // Inner band right (stop)
-        std::make_pair(131, -20.0),   // Flat junction band right (start)
-        std::make_pair(131, -20.0),   // Flat junction band right (stop)
-        std::make_pair(132, -20.276), // Middle band right (start)
-        std::make_pair(160, -28.000), // Middle band right (stop)
-        std::make_pair(161, -28.531), // Outer band right (start)
-        std::make_pair(192, -45.000), // Outer band right (stop)
+        std::make_pair(0, dBr_u{-45.000}),   // Outer band left (start)
+        std::make_pair(31, dBr_u{-28.531}),  // Outer band left (stop)
+        std::make_pair(32, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(60, dBr_u{-20.276}),  // Middle band left (stop)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(62, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(67, dBr_u{-3.333}),   // Inner band left (stop)
+        std::make_pair(125, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(130, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(132, dBr_u{-20.276}), // Middle band right (start)
+        std::make_pair(160, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(161, dBr_u{-28.531}), // Outer band right (start)
+        std::make_pair(192, dBr_u{-45.000}), // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11n_2.4GHz 20MHz",
                                                WIFI_STANDARD_80211n,
                                                WIFI_PHY_BAND_2_4GHZ,
-                                               20,
-                                               {2412},
+                                               MHz_u{20},
+                                               {MHz_u{2412}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -471,29 +472,29 @@
     // 11n 20MHz @ 5GHz
     NS_LOG_FUNCTION("Check slopes for 11n 20MHz @ 5GHz");
     maskSlopes = {
-        std::make_pair(0, -40.0),     // Outer band left (start)
-        std::make_pair(31, -28.375),  // Outer band left (stop)
-        std::make_pair(32, -28.000),  // Middle band left (start)
-        std::make_pair(60, -20.276),  // Middle band left (stop)
-        std::make_pair(61, -20.0),    // Flat junction band left (start)
-        std::make_pair(61, -20.0),    // Flat junction band left (stop)
-        std::make_pair(62, -20.0),    // Inner band left (start)
-        std::make_pair(67, -3.333),   // Inner band left (stop)
-        std::make_pair(125, -3.333),  // Inner band right (start)
-        std::make_pair(130, -20.0),   // Inner band right (stop)
-        std::make_pair(131, -20.0),   // Flat junction band right (start)
-        std::make_pair(131, -20.0),   // Flat junction band right (stop)
-        std::make_pair(132, -20.276), // Middle band right (start)
-        std::make_pair(160, -28.000), // Middle band right (stop)
-        std::make_pair(161, -28.375), // Outer band right (start)
-        std::make_pair(192, -40.0),   // Outer band right (stop)
+        std::make_pair(0, dBr_u{-40.0}),     // Outer band left (start)
+        std::make_pair(31, dBr_u{-28.375}),  // Outer band left (stop)
+        std::make_pair(32, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(60, dBr_u{-20.276}),  // Middle band left (stop)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (start)
+        std::make_pair(61, dBr_u{-20.0}),    // Flat junction band left (stop)
+        std::make_pair(62, dBr_u{-20.0}),    // Inner band left (start)
+        std::make_pair(67, dBr_u{-3.333}),   // Inner band left (stop)
+        std::make_pair(125, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(130, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(131, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(132, dBr_u{-20.276}), // Middle band right (start)
+        std::make_pair(160, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(161, dBr_u{-28.375}), // Outer band right (start)
+        std::make_pair(192, dBr_u{-40.0}),   // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11n_5GHz 20MHz",
                                                WIFI_STANDARD_80211n,
                                                WIFI_PHY_BAND_5GHZ,
-                                               20,
-                                               {5180},
+                                               MHz_u{20},
+                                               {MHz_u{5180}},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -503,29 +504,29 @@
     // 11n 40MHz @ 2.4GHz
     NS_LOG_FUNCTION("Check slopes for 11n 40MHz @ 2.4GHz");
     maskSlopes = {
-        std::make_pair(0, -45.000),   // Outer band left (start)
-        std::make_pair(63, -28.266),  // Outer band left (stop)
-        std::make_pair(64, -28.000),  // Middle band left (start)
-        std::make_pair(124, -20.131), // Middle band left (stop)
-        std::make_pair(125, -20.0),   // Flat junction band left (start)
-        std::make_pair(125, -20.0),   // Flat junction band left (stop)
-        std::make_pair(126, -20.0),   // Inner band left (start)
-        std::make_pair(131, -3.333),  // Inner band left (stop)
-        std::make_pair(253, -3.333),  // Inner band right (start)
-        std::make_pair(258, -20.0),   // Inner band right (stop)
-        std::make_pair(259, -20.0),   // Flat junction band right (start)
-        std::make_pair(259, -20.0),   // Flat junction band right (stop)
-        std::make_pair(260, -20.131), // Middle band right (start)
-        std::make_pair(320, -28.000), // Middle band right (stop)
-        std::make_pair(321, -28.266), // Outer band right (start)
-        std::make_pair(384, -45.000), // Outer band right (stop)
+        std::make_pair(0, dBr_u{-45.000}),   // Outer band left (start)
+        std::make_pair(63, dBr_u{-28.266}),  // Outer band left (stop)
+        std::make_pair(64, dBr_u{-28.000}),  // Middle band left (start)
+        std::make_pair(124, dBr_u{-20.131}), // Middle band left (stop)
+        std::make_pair(125, dBr_u{-20.0}),   // Flat junction band left (start)
+        std::make_pair(125, dBr_u{-20.0}),   // Flat junction band left (stop)
+        std::make_pair(126, dBr_u{-20.0}),   // Inner band left (start)
+        std::make_pair(131, dBr_u{-3.333}),  // Inner band left (stop)
+        std::make_pair(253, dBr_u{-3.333}),  // Inner band right (start)
+        std::make_pair(258, dBr_u{-20.0}),   // Inner band right (stop)
+        std::make_pair(259, dBr_u{-20.0}),   // Flat junction band right (start)
+        std::make_pair(259, dBr_u{-20.0}),   // Flat junction band right (stop)
+        std::make_pair(260, dBr_u{-20.131}), // Middle band right (start)
+        std::make_pair(320, dBr_u{-28.000}), // Middle band right (stop)
+        std::make_pair(321, dBr_u{-28.266}), // Outer band right (start)
+        std::make_pair(384, dBr_u{-45.000}), // Outer band right (stop)
     };
 
     AddTestCase(new WifiOfdmMaskSlopesTestCase("11n_2.4GHz 40MHz",
                                                WIFI_STANDARD_80211n,
                                                WIFI_PHY_BAND_2_4GHZ,
-                                               40,
-                                               {2422},
+                                               MHz_u{40},
+                                               {MHz_u{2422}},
                                                maskSlopes,
                                                tol,
                                                prec),
